The forum

League of Legends: fix in-game shop icons

Howto using LoL Linux Tools

Author Replies
Jump to the page: 1 - 2 - 3
ElysMustache Monday 23 September 2013 at 19:38
ElysMustacheAnonymous

Yeah. I'm 95% sure you're ALL having this glitch cause you use python 2.7 by default.

Try again with the same script executed manually, but use "python3.3" instead of "python". It should be installed by default on most distros. It is on Ubuntu.

Quote from SuperDanceParty

I'm not sure exactly what I'm supposed to do. Do you mean to use the script manually as described in the opening post? Could you please show me the exact syntax for the command I should be using?


In the script I just used chmod +x on the Python script and ran it, so I relied on the #! line

Quote from petch

The patch that you describe in the OP (in red text) is not showing up under the Install menu in PlayOnLinux (I have version 4.2.1), despite having hitting Refresh and without regard to with boxes I check (testing, no cd, etc.). Am I doing something wrong? Are you saying that the Python version is relevant, or is not relevant?

I thought that this icon fix did not work with the current (3.11) version of the game? Is that no longer true (i.e. is the OP completely up to date)?


Sorry for all the questions, I'm a bit lost.
petch Monday 23 September 2013 at 19:47
petch
Developer

I remove the signature on the script because it does not seem to work since patch 3.11 (error message during patching).
SuperDanceParty Monday 23 September 2013 at 20:28
SuperDancePartyAnonymous

Yeah, you all have to run the script manually, the one on playonlinux should be removed for now, until petch can figure out how to tell it to run with python 3.3, not 2.7.  I'll explain below the difference between the two a little bit below.

FYI:  You might have to reinstall the game, because running the script with python3.3 again now, might not overwrite the bugs written by the script run in python2.7.  Try it first, and if it doesn't work, reinstall the game and rerun the script as it is in the OP, but with the last section changed as I've posted below.

Follow all the instructions in the original post, except run with this modified script for the last part about replacing the icons.  The only change I've made is launching the program with python 3.3.  Python is a scripting language, but it has two major release versions, the older 2.7 and newer 3.3.  The syntax is a tiny bit different in both, even though there is a way to make Python apps work on both 2.7 and 3.3, the developer of this patch didn't confirm it worked with 2.7. 

Unfortunately, when you use the command 'python lol_linux.py texture_patch' it runs with python 2.7, and probably handled your game data differently, hence the glitches you're all getting.

To ensure stability, run the patch with python 3.3, as indicated below.

Note;  the command to use python 3.3 is 'python3.3' with no spaces.  It's just one TINY change to the whole script, but it tells the program to run using a completely different software interpreter.

Petch, I suggest editing your original post to reflect that, assuming you can run the patch again using python3.3 with more success.


Now run the replacement of icons with versions supported by Wine:
[code=console]
$ python3.3 lol_linux.py texture_patch
League of Legends - Linux Tools
Downloading DATA.tar.gz Size: 245kb
    245760  [100.00%]
Unpacking Archives, please wait...
Saving Backups, please wait...
Replacing Files, please wait...
Repacking Archives, please wait...
Checking New Archives, please wait...
Moving Archives, please wait...
Cleaning up, please wait...
Patch applied Successfully!
$
[/code]
It takes several minutes, but you should now have all icons working.

PS. You cannot do that just after LoL installation, it must have been updated first.

This procedure has since been automated, just install the beta script "League of Legends : ingame shop icons fix" from Patches category.

Quote from petch

Edited by SuperDanceParty

petch Monday 23 September 2013 at 20:40
petch
Developer

Ok, I can try that, even if the new tool looks way more efficient (I think it doesn't unpack/repack all files like the python tool does, right?)

One other problem is that python 3.3 is not part of PlayOnLinux requirements, so there's no guarantee that it will be available to run the script.
SuperDanceParty Monday 23 September 2013 at 20:49
SuperDancePartyAnonymous

python3.3 is installed by default on most linux distrobutions. Yes it is a problem though, because I only know Ubuntu has it by default, I don't know about our friends on Linux Mint.

I'll tell you what, I'll open my python text books, and see if I can make a frozen binary of the script. It'll run the application with the python3.3 interpreter built in, so you don't need to have python3.3 installed in order to run the script with python3.3.

I got the day off work today, and it'll be good work and learning experience for me, so I don't mind. Just give me some time to package it for everyone here, and I'll open a new thread.
SuperDanceParty Monday 23 September 2013 at 22:12
SuperDancePartyAnonymous

Sorry, I'm not very good with Python yet. I'll save you all the details of my dev troubles...

But I will do what I said and help everyone out, I'll make a new thread now with revamped instructions on how to run the script properly.
petch Monday 23 September 2013 at 22:24
petch
Developer


League of Legends - Linux Tools
Downloading DATA.tar.gz Size: 245.76kb
245760 [100.00%]
Unpacking Archives, please wait...
Saving Backups, please wait...
Replacing Files, please wait...
Repacking Archives, please wait...
Checking New Archives, please wait...
Wrong Path: DATA/Characters/TT_OrderInhibitor/TT_OrderInhibitor.inibin DATA/Characters/Talon/Talon.inibin
Press enter to continue

No change for me (python3.3 from Debian Sid)

https://github.com/petchema/playonlinux/blob/master/lol-ingameshopicons

Edited by petch

ElysMustache Tuesday 24 September 2013 at 4:22
ElysMustacheAnonymous


To ensure stability, run the patch with python 3.3, as indicated below.

Quote from SuperDanceParty

Thanks very much for the reply. I tried it on the installation I already had, and got the following error:

"./temp/texture_patch/filearchives/0.0.0.174/Archive_65414368.raf size does not match the original one!"

Game still runs but no improvement.

Will try reinstall and then running the script. Thanks again.
SuperDanceParty Tuesday 24 September 2013 at 4:40
SuperDancePartyAnonymous


To ensure stability, run the patch with python 3.3, as indicated below.

Quote from ElysMustache

Thanks very much for the reply. I tried it on the installation I already had, and got the following error:

"./temp/texture_patch/filearchives/0.0.0.174/Archive_65414368.raf size does not match the original one!"

Game still runs but no improvement.

Will try reinstall and then running the script. Thanks again.

Quote from SuperDanceParty


Use the guide I posted in the other thread about in-game shop icons.  This same forum.  Just to make sure everyone's getting the same files and running the same commands as I am
combin Sunday 4 May 2014 at 19:57
combinAnonymous

@ElysMustache: got the same problem, I was wondering if that was a driver issue of something (I'm using nVidia driver 325.15 that's experimental on Debian...)

Quote from petch
Hello all!
Anybody know how fix this trouble?

Edited by combin

renatov Monday 5 May 2014 at 18:23
renatovAnonymous

@ElysMustache: got the same problem, I was wondering if that was a driver issue of something (I'm using nVidia driver 325.15 that's experimental on Debian...)

Quote from combin
Hello all!
Anybody know how fix this trouble?

Quote from petch

I'm having exactly the same problem. It's map specific. It doesn't occur in Summoner's Rift, this map is 100% working for me. It only occurs on the other 3 maps. Here is a print screen:
[img]http://s28.postimg.org/waemrxpd9/lol_item_shop.png[/img]